#ifndef SMBZ_CHARSELECTUI_H
#define SMBZ_CHARSELECTUI_H

#include <ulib/ulib.h>

#include "gamecore.h"
#include "ui.h"

class CharSelectUI : public UI
{
public:
	CharSelectUI(float lastScroll=0) {scrollX = lastScroll;}
	void init(Mainmenu* mainmenu, bool firsttime=true);
	void destroy();

	void tick();
	void draw();

private:
	float scrollX;
	std::vector<UL_IMAGE*> portraits;

	int currPlayer;
	u32 selectedChars[2];
};

#endif